/**
 * @file
 * Behaviors necessary to make USWDS components work after AJAX calls.
 */
(function ($) {
  Drupal.behaviors.uswdsAccordions = {
    attach: function (context, settings) {
      $('.usa-accordion-button', context).once('uswds-drupal').each(function() {
        // We only want to do this AFTER the initial page load.
        if (document !== context) {
          // Recreate the accordion behavior. This is inadequate and needs
          // to be better. For one thing, it doesn't account for multiple
          // accordions that might need the one-open-at-a-time behavior. This
          // may also be unnecessary if the USWDS library adds its own way of
          // handling AJAX calls.
          $(this).click(function(e) {
            var $controlled = $('#' + $(this).attr('aria-controls'), context);
            if ($controlled.length) {
              if ($(this).attr('aria-expanded') === 'true') {
                $(this).attr('aria-expanded', 'false');
                $controlled.attr('aria-hidden', 'true');
              }
              else {
                $(this).attr('aria-expanded', 'true');
                $controlled.attr('aria-hidden', 'false');
              }
            }
          });
        }
      });
    }
  };
})(jQuery);

